clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros | Functions
ClangTidyOptions.cpp File Reference
`#include "ClangTidyOptions.h"`
`#include "ClangTidyModuleRegistry.h"`
`#include "clang/Basic/LLVM.h"`
`#include "llvm/ADT/SmallString.h"`
`#include "llvm/Support/Debug.h"`
`#include "llvm/Support/Errc.h"`
`#include "llvm/Support/FileSystem.h"`
`#include "llvm/Support/Path.h"`
`#include "llvm/Support/YAMLTraits.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <utility>`
Include dependency graph for ClangTidyOptions.cpp:

Go to the source code of this file.

## Classes
struct | llvm::yaml::SequenceTraits< FileFilter::LineRange >
struct | llvm::yaml::MappingTraits< FileFilter >
struct | llvm::yaml::MappingTraits< ClangTidyOptions::StringPair >
struct | llvm::yaml::NOptionMap
struct | llvm::yaml::MappingTraits< ClangTidyOptions >

## Namespaces
| llvm
| llvm::yaml
| clang
| clang::tidy

## Macros
#define | DEBUG_TYPE "clang-tidy-options"

## Functions
std::error_code | clang::tidy::parseLineFilter (StringRef LineFilter, clang::tidy::ClangTidyGlobalOptions &Options)
| Parses -line-filter option and stores it to the `Options`. More...
llvm::ErrorOr< ClangTidyOptions > | clang::tidy::parseConfiguration (StringRef Config)
std::string | clang::tidy::configurationAsText (const ClangTidyOptions &Options)
| Serializes configuration to a YAML-encoded string. More...

## Macro Definition Documentation

#define DEBUG_TYPE "clang-tidy-options"

Definition at line 22 of file ClangTidyOptions.cpp.